SleepJob.EmptySplit (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples
Class SleepJob.EmptySplit

    java.lang.Object
      org.apache.hadoop.examples.SleepJob.EmptySplit

All Implemented Interfaces:
  Writable, InputSplit

Enclosing class:
  SleepJob

    public static class SleepJob.EmptySplit

extends Object
implements InputSplit

Constructor Summary
`SleepJob.EmptySplit()`

Method Summary
`long` | `getLength()` Get the total number of bytes in the data of the `InputSplit`.
`String[]` | `getLocations()` Get the list of hostnames where the input split is located.
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SleepJob.EmptySplit

    public SleepJob.EmptySplit()

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### getLength

    public long getLength()

  Description copied from interface: `InputSplit`
  Get the total number of bytes in the data of the `InputSplit`.

  Specified by:
    `getLength` in interface `InputSplit`
  Returns:
    the number of bytes in the input split.

### getLocations

    public String[] getLocations()

  Description copied from interface: `InputSplit`
  Get the list of hostnames where the input split is located.

  Specified by:
    `getLocations` in interface `InputSplit`
  Returns:
    list of hostnames where data of the `InputSplit` is located as an array of `String`s.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation